


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="description" content="This Is a page practice about HTML 5 inputs & forms">
    <link rel="stylesheet" type="text/css" href="styles.css">
    <title>Input & Forms</title>
</head>
<style>
    body{
  font-family:calibri;
  padding:0;
  margin:0;
  margin:;
  padding:;
  background-color:#9b6eff;
}

.loginBox{
 margin:1% auto 0% auto;
 padding:5px 60px 20px 60px;
 width:40%;
 height:50%;
 box-sizing:border-box;
 background:rgba(0,0,0,.5);
}

h2{
 margin:0;
 padding:0 0 20px;
 text-align:center;
 color:violet;

}

.loginBox p{
 margin:0;
 padding:0;
 font-weight:bold;
 color:#fff;
}

.loginBox input{
 width:100%;
 height:20px;
 margin:0 0 20px 0;
}

.loginBox input[type="text"],
.loginBox input[type="password"],
.loginBox input[type="email"],
.loginBox input[type="date"]{
 border:none;
 border-bottom:1px solid #fff;
 background:transparent;
 outline:none;
 color:#fff;
 font-size:14px;
 text-align:center;
}

::placeholder{
 color: white;
 opacity:0.1;
 text-align:center;
}

.loginBox input[type="submit"]{
 border:1px solid;
 height:40px;
 color:violet;
 background-color:transparent;
}

.loginBox input[type="submit"]:hover{
 color:pink;
 border:2px solid;
}

form a{
 color:violet;
 text-decoration:none;
}
</style>
<body>
<header>

</header>
<main>
    <div class="loginBox">
        <h2>Sign Up</h2>

        <form class="form-horizontal form-bordered" method="POST" action="/add/" >
            {% csrf_token %}
            <p>Name:</p>
            <input type="text" name="name" placeholder="Firstname" value="{{data.name}}">
            <p>Address:</p>
            <textarea name="address" style="width:100%;color:violet" placeholder="Address" value="{{data.address}}"></textarea>
            <p>E-mail Address:</p>
            <input type="email" name="email" placeholder="e-mail" value="{{data.email}}">
            <p>Mobile Number:</p>
            <input type="text" name="phno" placeholder="MobileNo" value="{{data.mobile_no}}">
            <label class="control-label" style="color: white"><p>Gender:</p></label>
            <div>
                <br>
                <label for="awesome" style=" color: white">Male</label>
                <input id="awesome" name="gender" value="0" style="width: 36px;height: 16px;" {% if data.gender == 0 %} checked {% endif %}  type="radio" value="awesome" required="" aria-required="true">
                <label for="very-awesome" style=" color: white">Female</label>
                <input id="very-awesome" name="gender" style="width: 36px;height: 16px;"  {% if data.gender == 1 %} checked {% endif %} value="1" type="radio" value="very-awesome">
            </div>
            <input type="Submit" name="sbmt">

        </form>
    </div>
</main>
</body>
</html>